Package ru.bitel.bgbilling.kernel.event.publish.common.bean

# Class MQEvent

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.event.publish.common.bean.MQEvent

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MQEvent extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_DELIVERY_MODE`
  `static final String`
  `KEY_DESTINATION`
  `static final String`
  `KEY_EVENT`
  `static final String`
  `KEY_MQ_SERVER`
  `static final String`
  `KEY_PRIORITY`
  `static final String`
  `KEY_TIME_TO_LIVE`
  `static final String`
  `KEY_TITLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MQEvent()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDeliveryMode()`
  `MQDestination`
  `getDestination()`
  `String`
  `getEvent()`
  `static String`
  `getKeyTitle()`
  `int`
  `getMqServer()`
  `int`
  `getPriority()`
  `long`
  `getTimeToLive()`
  `void`
  `setData(String data)`
  `void`
  `setDeliveryMode(int deliveryMode)`
  `void`
  `setDestination(MQDestination destination)`
  `void`
  `setEvent(String event)`
  `void`
  `setMqServer(int mqServer)`
  `void`
  `setPriority(int priority)`
  `void`
  `setTimeToLive(long timeToLive)`
  `org.json.JSONObject`
  `toJson()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### KEY_TITLE

    public static final String KEY_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_EVENT

    public static final String KEY_EVENT
    See Also:
      - Constant Field Values

  - ### KEY_MQ_SERVER

    public static final String KEY_MQ_SERVER
    See Also:
      - Constant Field Values

  - ### KEY_DESTINATION

    public static final String KEY_DESTINATION
    See Also:
      - Constant Field Values

  - ### KEY_DELIVERY_MODE

    public static final String KEY_DELIVERY_MODE
    See Also:
      - Constant Field Values

  - ### KEY_PRIORITY

    public static final String KEY_PRIORITY
    See Also:
      - Constant Field Values

  - ### KEY_TIME_TO_LIVE

    public static final String KEY_TIME_TO_LIVE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MQEvent

    public MQEvent()

- ## Method Details

  - ### getEvent

    public String getEvent()

  - ### setEvent

    public void setEvent(String event)

  - ### getMqServer

    public int getMqServer()

  - ### setMqServer

    public void setMqServer(int mqServer)

  - ### getDestination

    public MQDestination getDestination()

  - ### setDestination

    public void setDestination(MQDestination destination)

  - ### getDeliveryMode

    public int getDeliveryMode()

  - ### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)

  - ### getPriority

    public int getPriority()

  - ### setPriority

    public void setPriority(int priority)

  - ### getKeyTitle

    public static String getKeyTitle()

  - ### getTimeToLive

    public long getTimeToLive()

  - ### setTimeToLive

    public void setTimeToLive(long timeToLive)

  - ### setData

    public void setData(String data)

  - ### toJson

    public org.json.JSONObject toJson()